<template>
  <div class="d-flex flex-column">
    <div class="card card-flush mb-5 mb-xl-8 p-5 shadow-sm">
      <paginacion
        ref="mapaTransporteBuscarPaginacion"
        :cantidades="[5,10,50,100]"
        :datos="transportes"
        @on-mostrar-pagina="onMostrarPagina"
      />
    </div>

    <div class="card card-rounded card-flush mb-5 shadow-sm h-400px h-xl-650px h-xxl-475px">
      <div
        class="card-body p-0"
        style="height: 100% !important"
      >
        <GoogleMap
          class="h-100"
          api-key="AIzaSyA2XeZf5gGUwUTKl9y-hq2GsMdTlCJCgds"
          style="width: 100%; height: 100%"
          :center="{lat: sTransporte.latitud, lng: sTransporte.longitud}"
          :zoom="9"
        >
          <Marker
            v-for="transporte in pTransportes"
            :key="transporte.id"
            :options="{ position: {lat: transporte.latitud, lng: transporte.longitud}, draggable: false, clickable: true }"
          >
            <InfoWindow>
              <div id="contet">
                <div id="siteNotice">
                  <img
                    :src="transporte.imagen"
                    class="img-fluid h-100px"
                    alt="imagen"
                  >
                </div>
                <h1
                  id="firstHeading"
                  class="firstHeading"
                  v-text="transporte.tipoVehiculo"
                />
                <div id="bodyContent d-flex flex-column">
                  <p class="fs-6 fw-bolder text-gray-900">
                    Placa: <span
                      class="fs-6 fw-normal text-gray-600"
                      v-text="transporte.placa"
                    />
                  </p>
                  <p class="fs-6 fw-bolder text-gray-900">
                    Dimensión: <span
                      class="fs-6 fw-normal text-gray-600"
                      v-text="transporte.ancho + ' x ' + transporte.largo + ' x ' + transporte.alto"
                    />
                  </p>
                  <p class="fs-6 fw-bolder text-gray-900">
                    Carga: <span
                      class="fs-6 fw-normal text-gray-600"
                      v-text="transporte.capacidadTonelada + ' toneladas'"
                    />
                  </p>
                  <p class="fs-6 fw-bolder text-gray-900">
                    Conductor: <span
                      class="fs-6 fw-normal text-gray-600"
                      v-text="transporte.nombreCompletoChofer"
                    />
                  </p>
                  <p class="fs-6 fw-bolder text-gray-900">
                    Teléfono: <span
                      class="fs-6 fw-normal text-gray-600"
                      v-text="transporte.telefono"
                    />
                  </p>
                  <p>
                    <router-link :to="{ name: 'panel.transporte.mostrar', params: { id: transporte.id }}">
                      más detalle
                    </router-link>
                  </p>
                </div>
              </div>
            </InfoWindow>
          </Marker>
        </GoogleMap>
      </div>
    </div>
  </div>
</template>
<script>
import Paginacion from "@/components/util/Paginacion2";
import { GoogleMap, Marker, InfoWindow  } from "vue3-google-map";

export default {
  name: 'MapaTransporteBuscar',
  components: {
    GoogleMap, Marker, InfoWindow, Paginacion
  },
  props: {
    transportes: {type: Array, required: true}
  },
  data() {
    return {
      sTransporte: {latitud: -17.783602, longitud: -63.182327},
      pTransportes: []
    }
  },
  methods: {
    onMostrarPagina(datos) {
      this.pTransportes = datos;
      if(this.pTransportes.length > 0) {
        this.sTransporte = this.pTransportes[0];
      } else {
        this.sTransporte = {latitud: -17.783602, longitud: -63.182327};
      }
    },

  },
}
</script>